---
# Commented out so it deploys the same ones from ADO pipelines
# - name: Get Rails Host Keys from Primary 
#   fetch:
#     src: "/etc/ssh/{{ item }}" 
#     dest: "./host_keys/files/{{ item }}"
#     flat: yes
#   when: 
#       - inventory_hostname == initial_rails 
#   with_items:
#     - "ssh_host_rsa_key"
#     - "ssh_host_ecdsa_key"
#     - "ssh_host_ed25519_key"
#     - "ssh_host_rsa_key.pub"
#     - "ssh_host_ecdsa_key.pub"
#     - "ssh_host_ed25519_key.pub"

- name: Copy SSH Host Private Keys
  copy:
    src: "{{ item }}"
    dest: "/etc/ssh/{{ item }}"
    owner: root
    group: ssh_keys
    mode: '0640'
    backup: yes
  with_items:
    - "ssh_host_rsa_key"
    - "ssh_host_ecdsa_key"
    - "ssh_host_ed25519_key"
  notify: Restart sshd
  # when:
  #     - inventory_hostname != initial_rails

- name: Copy SSH Host Public Keys
  copy:
    src: "{{ item }}"
    dest: "/etc/ssh/{{ item }}"
    owner: root
    group: root
    mode: '0644'
    backup: yes
  with_items:
    - "ssh_host_rsa_key.pub"
    - "ssh_host_ecdsa_key.pub"
    - "ssh_host_ed25519_key.pub"
  notify: Restart sshd
  # when:
  #     - inventory_hostname != initial_rails

